{
    "python.venvPath": "${workspaceFolder}/backend/.venv",
    "python.terminal.activateEnvironment": true,
    "python.terminal.shellIntegration.enabled": true,
    "explorer.fileNesting.enabled": true,
    "explorer.fileNesting.patterns": {
        "tsconfig.json": "tsconfig.*.json, env.d.ts",
        "vite.config.*": "jsconfig*, vitest.config.*, cypress.config.*, playwright.config.*",
        "package.json": "package-lock.json, pnpm*, .yarnrc*, yarn*, .eslint*, eslint*, .oxlint*, oxlint*, .prettier*, prettier*, .editorconfig"
    },
    "editor.formatOnSave": true,
    "editor.defaultFormatter": "esbenp.prettier-vscode",
    "[json]": {
        "editor.tabSize": 2,
        "editor.insertSpaces": true
    },
    "[jsonc]": {
        "editor.defaultFormatter": "vscode.json-language-features"
    },
    "editor.codeActionsOnSave": {
        "source.fixAll.eslint": "explicit"
    },
    "chat.tools.terminal.autoApprove": {
        "&": true
    },
    "terminal.integrated.automationProfile.windows": {
        "path": "C:\\Windows\\System32\\WindowsPowerShell\\v1.0\\powershell.exe",
        "args": []
    },
    "python-envs.defaultEnvManager": "ms-python.python:venv",
    "python-envs.pythonProjects": [],
    "editor.gotoLocation.multipleDeclarations": "gotoAndPeek",
    "editor.gotoLocation.multipleDefinitions": "gotoAndPeek",
    "editor.gotoLocation.multipleImplementations": "gotoAndPeek",
    "editor.gotoLocation.multipleReferences": "gotoAndPeek",
    "editor.gotoLocation.multipleTypeDefinitions": "gotoAndPeek",
    //"editor.fontFamily": "Consolas, 'Courier New', monospace",
    "editor.fontFamily": "JetBrains Mono",
    "editor.fontSize": 13,
    "editor.fontLigatures": true,
}